Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1686275 - Can't deploy ES pod successfully when using the template for elasticsearch instance in web console.
Summary: Can't deploy ES pod successfully when using the template for elasticsearch in...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Logging
Version: 4.1
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.1.0
Assignee: Jeff Cantrill
QA Contact: Anping Li
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-07 07:18 UTC by Qiaoling Tang
Modified: 2019-03-12 14:24 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-07 16:53:03 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Qiaoling Tang 2019-03-07 07:18:00 UTC
Description of problem:

Deploy ES pod use the template for elasticsearch instance in web console, got error message in EO pod log:
time="2019-03-07T06:35:10Z" level=error msg="error syncing key (openshift-logging/elasticsearch): Failed to reconcile Elasticsearch deployment spec: Unable to update Elasticsearch cluster status: Elasticsearch.logging.openshift.io \"elasticsearch\" is invalid: []: Invalid value: map[string]interface {}{\"apiVersion\":\"logging.openshift.io/v1alpha1\", \"kind\":\"Elasticsearch\", \"metadata\":map[string]interface {}{\"name\":\"elasticsearch\", \"namespace\":\"openshift-logging\", \"selfLink\":\"/apis/logging.openshift.io/v1alpha1/namespaces/openshift-logging/elasticsearches/elasticsearch\", \"uid\":\"812745fc-40a2-11e9-97ef-0237583a37ce\", \"resourceVersion\":\"234361\", \"generation\":1, \"creationTimestamp\":\"2019-03-07T06:30:30Z\"}, \"spec\":map[string]interface {}{\"nodeSpec\":map[string]interface {}{\"image\":\"quay.io/openshift/origin-logging-elasticsearch5:latest\", \"resources\":map[string]interface {}{\"limits\":map[string]interface {}{\"memory\":\"1Gi\"}, \"requests\":map[string]interface {}{\"cpu\":\"200M\", \"memory\":\"512Mi\"}}}, \"nodes\":[]interface {}{map[string]interface {}{\"resources\":map[string]interface {}{}, \"roles\":[]interface {}{\"client\", \"data\", \"master\"}, \"storage\":map[string]interface {}{}, \"nodeCount\":2}}, \"redundancyPolicy\":\"\", \"managementState\":\"Managed\"}, \"status\":map[string]interface {}{\"shardAllocationEnabled\":\"\", \"clusterHealth\":\"\", \"conditions\":[]interface {}{map[string]interface {}{\"lastTransitionTime\":\"2019-03-07T06:35:10Z\", \"status\":\"True\", \"type\":\"ScalingUp\"}}, \"nodes\":interface {}(nil), \"pods\":interface {}(nil)}}: validation failure list:\nspec.redundancyPolicy in body should be one of [FullRedundancy MultipleRedundancy SingleRedundancy ZeroRedundancy]"

Template:
apiVersion: logging.openshift.io/v1alpha1
kind: Elasticsearch
metadata:
  name: elasticsearch
  namespace: openshift-logging
spec:
  managementState: Managed
  nodeSpec:
    image: 'quay.io/openshift/origin-logging-elasticsearch5:latest'
    resources:
      limits:
        memory: 1Gi
      requests:
        memory: 512Mi
  nodes:
    - nodeCount: 1
      roles:
        - client
        - data
        - master
      redundancyPolicy: SingleRedundancy

Version-Release number of selected component (if applicable):
4.0.0-0.nightly-2019-03-06-074438

How reproducible:
Always

Steps to Reproduce:
1. Create subscription for EO
2. Create elasticsearch instance in web console, go to Catalog --> Developer Catalog, click "Elasticsearch" and create it.
3. check EO pod logs

Actual results:


Expected results:


Additional info:

Comment 1 Jeff Cantrill 2019-03-07 16:53:03 UTC
Elasticsearch Operator and its use outside the context of ClusterLogging and Jaeger is unsupported.  Additionally, I have never seen this 'template' and know nothing about it. Looks to be malformed.  Closing as NOTABUG


Note You need to log in before you can comment on or make changes to this bug.